package com.example.reservationapp.api

import com.example.reservationapp.models.RegistrationForm
import retrofit2.Response
import retrofit2.http.Body
import retrofit2.http.GET
import retrofit2.http.POST
import retrofit2.http.Query

interface Api {

    @POST("SignInActions/send-code")
    suspend fun sendCode(@Query("receiver") email: String) : Response<Unit>

    @POST("SignInActions/registration")
    suspend fun registation(@Body UserDTO: RegistrationForm) : Response<Unit>

    @POST("SignInActions/verify")
    suspend fun verify(@Query("email") email:String,
                       @Query("emailCode") emailCode:String) : Response<Unit>

    @POST("SignInActions/login")
    suspend fun login(@Query("email") email: String) : Response<Unit>

    companion object {
        val BASE_URL = "https://iis.ngknn.ru/ngknn/МамшеваЮС/7/api/"
    }


}