package com.example.reservationapp.api

import android.util.Log
import com.example.reservationapp.models.RegistrationForm

class RepositoryClassCasual(private val api: Api) {

    private var mLogoutResponse = ""

    private var statusCodeOfRegr = ""

    private var emailField = ""

    private var JWTtoken = ""


    val takeEmail: String
        get() {
            return emailField;
        }

    val takeCode: String
        get() {
            return mLogoutResponse
        }

    val takeRegCode: String
        get() {
            return statusCodeOfRegr
        }

    val reciveJWT: String
        get() {
            return  JWTtoken
        }

    suspend fun sendEmail(email: String) {
        try {
            val result = api.sendCode(email)
            if (result.code() != 0) {
                Log.d("Code", result.code().toString())
                mLogoutResponse = result.code().toString()
//                mLogoutResponse.postValue(result.code().toString())
            }
        } catch (e: Exception) {
            Log.d("ProfileRepository", "logout: Error: $e")
        }
    }

    suspend fun sendMyFormReg(regObj: RegistrationForm) {

        try {
            val result = api.registation(regObj)
            if (result.code() != 0 ){
                Log.d("Code", result.code().toString())
                statusCodeOfRegr = result.code().toString()
            }

        } catch (e: Exception){
            Log.d("WentWrong", "reg: Error $e")
        }

    }

    fun emailUpload(email: String){
        emailField = email
    }

    suspend fun loginAction(email: String){
        try {
            val result = api.login(email)
            if (result.code() != 0){
                statusCodeOfRegr = result.code().toString()
                JWTtoken = result.body()!!.toString()
            }
        } catch (e: Exception){
            Log.d("WentWrong", "reg: Error$e")
        }
    }

//    @RequiresExtension(extension = Build.VERSION_CODES.S, version = 7)
//    override suspend fun sendCodeEmail(email: String) : Flow<Result<>> {
//        return flow{
//
//            val request = try{
//                api.sendCode(email)
//            }
//            catch (e: IOException) {
//                e.printStackTrace()
//                emit( Result.Error(message = "Don't send code 1"))
//                return@flow
//            } catch (e: HttpException) {
//                e.printStackTrace()
//                emit(Result.Error(message = "Don't send code 2"))
//                return@flow
//            } catch (e: Exception) {
//                e.printStackTrace()
//                emit(Result.Error(message = "Don't send code 3"))
//                return@flow
//            }
//            emit(Result.Success(request))
//        }
//    }


}